linux-oem: 4.15.0-1030.35 -proposed tracker

Bug #1806663 reported by Kleber Sacilotto de Souza on 2018-12-04
26
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Taihsiang Ho
Prepare-package
Medium
AceLan Kao
Prepare-package-meta
Medium
AceLan Kao
Prepare-package-signed
Medium
AceLan Kao
Promote-to-proposed
Medium
Andy Whitcroft
Promote-to-security
Medium
Steve Langasek
Promote-to-updates
Medium
Steve Langasek
Regression-testing
Medium
Po-Hsu Lin
Security-signoff
Medium
Canonical Security Team
Upload-to-ppa-dnu
Medium
Canonical Kernel Team
Verification-testing
Medium
Canonical Kernel Team
linux-oem (Ubuntu)
Undecided
Unassigned
Bionic
Medium
Unassigned

Bug Description

This bug is for tracking the <version to be filled> upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
-- swm properties --
boot-testing-requested: true
kernel-stable-master-bug: 1806659
phase: Released
phase-changed: Thursday, 20. December 2018 06:15 UTC
proposed-announcement-sent: true
proposed-testing-requested: true

tags: added: kernel-release-tracking-bug
tags: added: kernel-release-tracking-bug-live
tags: added: bionic
Changed in linux-oem (Ubuntu Bionic):
status: New → Confirmed
Changed in linux-oem (Ubuntu):
status: New → Invalid
Changed in linux-oem (Ubuntu Bionic):
importance: Undecided → Medium
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
tags: added: kernel-sru-cycle-2018.12.03-1
tags: added: kernel-sru-derivative-of-1806659
Brad Figg (brad-figg) on 2018-12-04
description: updated
Brad Figg (brad-figg) on 2018-12-06
description: updated
AceLan Kao (acelankao) on 2018-12-08
summary: - linux-oem: <version to be filled> -proposed tracker
+ linux-oem: 4.15.0-1030.35 -proposed tracker
Brad Figg (brad-figg) on 2018-12-08
description: updated
Brad Figg (brad-figg) on 2018-12-08
description: updated
Brad Figg (brad-figg) on 2018-12-08
tags: added: block-proposed-bionic
tags: added: block-proposed
description: updated
Brad Figg (brad-figg) on 2018-12-08
description: updated
description: updated
Brad Figg (brad-figg) on 2018-12-08
description: updated
Brad Figg (brad-figg) on 2018-12-08
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have begun testing this -proposed kernel.

Brad Figg (brad-figg) on 2018-12-10
description: updated
Po-Hsu Lin (cypressyew) wrote :

4.15.0-1030.35 - oem
Regression test CMPL, RTB.

Issue to note in amd64:
  ubuntu_kvm_unit_tests - 29 failed on amaura, 25 faile on pepe
  ubuntu_ltp_syscalls - inotify08 (bug 1775784) fanotify09 (bug 1804594) fanotify10 (bug 1802454)
  ubuntu_lxc - package from -proposed and from -update casuing apt issue (bug 1805978)
  xfstests - timed out on ext4 generic/430 test (bug 1755999)

tags: added: regression-testing-passed
Brad Figg (brad-figg) on 2018-12-12
description: updated
Brad Figg (brad-figg) on 2018-12-17
description: updated
Taihsiang Ho (taihsiangho) wrote :

Hardware Certification have completed testing this -proposed kernel. No regressions were observed, results are available here: http://people.canonical.com/~hwcert/sru-testing/oem/4.15.0-1030.35/oem-4.15-proposed-published.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2018-12-18
description: updated
Brad Figg (brad-figg) on 2018-12-18
description: updated
Brad Figg (brad-figg) on 2018-12-19
description: updated
Brad Figg (brad-figg) on 2018-12-20
tags: removed: block-proposed-bionic
tags: removed: block-proposed
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1030.35

---------------
linux-oem (4.15.0-1030.35) bionic; urgency=medium

  * linux-oem: 4.15.0-1030.35 -proposed tracker (LP: #1806663)

  * Add HMS CAN driver for Dell Edge Gateways (LP: #1807339)
    - SAUCE: (no-up) add IXXAT USB-to-CAN driver

  * Add support for 0cf3:535b QCA_ROME device (LP: #1807333)
    - Bluetooth: btusb: Add support for 0cf3:535b QCA_ROME device

  * Add support for Dell DW5821e WWAN/GPS module (LP: #1807342)
    - qmi_wwan: add support for the Dell Wireless 5821e module
    - qmi_wwan: fix interface number for DW5821e production firmware
    - USB: option: add support for DW5821e

  * Fix Terminus USB hub that may breaks connected USB devices after S3
    (LP: #1806850)
    - USB: Wait for extra delay time after USB_PORT_FEAT_RESET for quirky hub

  * The line-out on the Dell Dock station can't work (LP: #1806532)
    - ALSA: usb-audio: Allow to override the longname string
    - ALSA: usb-audio: Give proper vendor/product name for Dell WD15 Dock
    - ALSA: usb-audio: Add vendor and product name for Dell WD19 Dock

  * Enable new Realtek card reader (LP: #1806335)
    - USB: usb-storage: Add new IDs to ums-realtek
    - SAUCE: (noup) USB: usb-storage: Make MMC support optional on ums-realtek

  [ Ubuntu: 4.15.0-43.46 ]

  * linux: 4.15.0-43.46 -proposed tracker (LP: #1806659)
  * System randomly hangs during suspend when mei_wdt is loaded (LP: #1803942)
    - SAUCE: base/dd: limit release function changes to vfio driver only
  * Workaround CSS timeout on AMD SNPS 3.0 xHC (LP: #1806838)
    - xhci: Allow more than 32 quirks
    - xhci: workaround CSS timeout on AMD SNPS 3.0 xHC
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
    - [Config] buildinfo -- add retpoline version markers
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * CVE-2018-12896
    - posix-timers: Sanitize overrun handling
  * CVE-2018-16276
    - USB: yurex: fix out-of-bounds uaccess in read handler
  * CVE-2018-10902
    - ALSA: rawmidi: Change resized buffers atomically
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.
  * CVE-2018-18690
    - xfs: don't fail when converting shortform attr to long form during
      ATTR_REPLACE
  * CVE-2018-14734
    - infiniband: fix a possible use-after-free bug
  * CVE-2018-18445
    - bpf: 32-bit RSH verification must truncate input before the ALU op
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Chia-Lin Kao (AceLan) <email address hidden> Sat, 08 Dec 2018 11:02:54 +0800

Changed in linux-oem (Ubuntu Bionic):
status: Confirmed → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
tags: removed: kernel-release-tracking-bug-live
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-oem - 4.15.0-1030.35

---------------
linux-oem (4.15.0-1030.35) bionic; urgency=medium

  * linux-oem: 4.15.0-1030.35 -proposed tracker (LP: #1806663)

  * Add HMS CAN driver for Dell Edge Gateways (LP: #1807339)
    - SAUCE: (no-up) add IXXAT USB-to-CAN driver

  * Add support for 0cf3:535b QCA_ROME device (LP: #1807333)
    - Bluetooth: btusb: Add support for 0cf3:535b QCA_ROME device

  * Add support for Dell DW5821e WWAN/GPS module (LP: #1807342)
    - qmi_wwan: add support for the Dell Wireless 5821e module
    - qmi_wwan: fix interface number for DW5821e production firmware
    - USB: option: add support for DW5821e

  * Fix Terminus USB hub that may breaks connected USB devices after S3
    (LP: #1806850)
    - USB: Wait for extra delay time after USB_PORT_FEAT_RESET for quirky hub

  * The line-out on the Dell Dock station can't work (LP: #1806532)
    - ALSA: usb-audio: Allow to override the longname string
    - ALSA: usb-audio: Give proper vendor/product name for Dell WD15 Dock
    - ALSA: usb-audio: Add vendor and product name for Dell WD19 Dock

  * Enable new Realtek card reader (LP: #1806335)
    - USB: usb-storage: Add new IDs to ums-realtek
    - SAUCE: (noup) USB: usb-storage: Make MMC support optional on ums-realtek

  [ Ubuntu: 4.15.0-43.46 ]

  * linux: 4.15.0-43.46 -proposed tracker (LP: #1806659)
  * System randomly hangs during suspend when mei_wdt is loaded (LP: #1803942)
    - SAUCE: base/dd: limit release function changes to vfio driver only
  * Workaround CSS timeout on AMD SNPS 3.0 xHC (LP: #1806838)
    - xhci: Allow more than 32 quirks
    - xhci: workaround CSS timeout on AMD SNPS 3.0 xHC
  * linux-buildinfo: pull out ABI information into its own package
    (LP: #1806380)
    - [Packaging] limit preparation to linux-libc-dev in headers
    - [Packaging] commonise debhelper invocation
    - [Packaging] ABI -- accumulate abi information at the end of the build
    - [Packaging] buildinfo -- add basic build information
    - [Packaging] buildinfo -- add firmware information to the flavour ABI
    - [Packaging] buildinfo -- add compiler information to the flavour ABI
    - [Packaging] buildinfo -- add buildinfo support to getabis
    - [Config] buildinfo -- add retpoline version markers
  * linux packages should own /usr/lib/linux/triggers (LP: #1770256)
    - [Packaging] own /usr/lib/linux/triggers
  * CVE-2018-12896
    - posix-timers: Sanitize overrun handling
  * CVE-2018-16276
    - USB: yurex: fix out-of-bounds uaccess in read handler
  * CVE-2018-10902
    - ALSA: rawmidi: Change resized buffers atomically
  * CVE-2018-18710
    - cdrom: fix improper type cast, which can leat to information leak.
  * CVE-2018-18690
    - xfs: don't fail when converting shortform attr to long form during
      ATTR_REPLACE
  * CVE-2018-14734
    - infiniband: fix a possible use-after-free bug
  * CVE-2018-18445
    - bpf: 32-bit RSH verification must truncate input before the ALU op
  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

 -- Chia-Lin Kao (AceLan) <email address hidden> Sat, 08 Dec 2018 11:02:54 +0800

Changed in linux-oem (Ubuntu):
status: Invalid → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers